Get all movement requests

get

/fscmRestApi/resources/11.13.18.05/inventoryMovementRequests

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds movement requests according to the identifier for the movement request header.
      Finder Variables
      • HeaderId; integer; Value that uniquely identifies the movement request header.
    • findByItemKeyword Finds the movement request header according to the item keyword.
      Finder Variables
      • bindItemKeyword; string; Value that identifies the item keyword.
    • findByMovementRequestNumber Finds movement requests according to the movement request number.
      Finder Variables
      • bindMovementRequestNumber; string; Number that identifies the movement request.
    • findByOrgItem Finds movement requests by organization code, item number, and movement request line status. You can also specify the movement request type.
      Finder Variables
      • bindItemNumber; string; Name of the inventory item. This attribute is required.
      • bindLineStatus; string; Value that indicates the status of the movement request line. Valid values are Incomplete, Canceled, Canceled by source, Closed, and Preapproved. This attribute is required.
      • bindMovementRequestType; string; Value that indicates the type of movement request. Valid values are Requisition, Replenishment, Pick wave, and Shop floor.
      • bindOrganizationCode; string; Abbreviation that identifies the organization. This attribute is required.
    • findByUser Finds movement requests according to the user who created the movement request and movement request line status. You can also specify the movement request type.
      Finder Variables
      • bindLineStatus; string; Value that indicates the status of the movement request line. Valid values are Incomplete, Canceled, Canceled by source, Closed, and Preapproved. This attribute is required.
      • bindMovementRequestType; string; Value that indicates the type of movement request. Valid values are Requisition, Replenishment, Pick wave, and Shop floor.
      • bindUserName; string; Sign in that the user used when creating the movement request. This attribute is required.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AllocationFlag; boolean; Date and time when the user created the row.
    • CreatedBy; string; Name of the user who created the line in a movement request.
    • CreationDate; string; Date and time when the user created the row.
    • Description; string; Description of the movement request.
    • DestinationAccount; string; Number that indicates the destination account for the movement request.
    • DestinationAccountId; integer; Value that uniquely identifies the destination account.
    • DestinationLocatorId; integer; Value that uniquely identifies the destination stock locator.
    • DestinationSubinventory; string; Abbreviation that identifies the destination subinventory.
    • ExternalSystemGroupId; integer; Value that uniquely identifies the movement request headers that need to be interfaced with an external system.
    • HeaderId; integer; Value that uniquely identifies the movement request header.
    • LastUpdateDate; string; Date and time when the user most recently updated the row.
    • LastUpdateLogin; string; Login that the user used when updating the row.
    • LastUpdatedBy; string; User who most recently updated the row.
    • MoveOrderType; integer; Value that uniquely identifies the type of the movement request.
    • MovementRequestType; string; Name of the movement request type.
    • OrganizationCode; string; Abbreviation that identifies the organization.
    • OrganizationId; integer; Value that uniquely identifies the organization.
    • OrganizationName; string; Name of the source organization.
    • PickSetEnabledFlag; boolean; Contains one of the following values: True or False. If True, then the pick set is enabled. If False, then the pick set is disabled.
    • RequestNumber; string; Number that identifies the movement request.
    • RequiredDate; string; Date when the movement request is required.
    • SourceLocatorId; integer; Value that uniquely identifies the source stock locator.
    • SourceSubinventory; string; Abbreviation that identifies the source subinventory.
    • Status; string; Value that indicates the status of the movement request header.
    • StatusCode; integer; Value that uniquely identifies the header status for the movement request. A list of accepted values is defined in the lookup type INV_TXN_REQUEST_STATUS.
    • SubmitApprovalFlag; boolean; Contains one of the following values: True or False. If True, then the movement request is submitted for approval. If False, then the movement request isn't submitted for approval. The default value is False.
    • TransactionType; string; Name of the transaction type.
    • TransactionTypeId; integer; Value that uniquely identifies the type of the transaction.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : inventoryMovementRequests
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : inventoryMovementRequests-item-response
Type: object
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Movement Request Lines
Type: array
Title: Movement Request Lines
The Lines for Inventory Movement Requests resource manages lines for movement requests.
Show Source
Nested Schema : inventoryMovementRequests-DFF-item-response
Type: object
Show Source
Nested Schema : inventoryMovementRequests-lines-item-response
Type: object
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : inventoryStripingDFF
Type: array
Show Source
Nested Schema : projectDFF
Type: array
Show Source
  • Discriminator: __FLEX_Context
    Discriminator: { "propertyName":"__FLEX_Context", "mapping":{ "AP_Distribution_Sets":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FDistribution__5FSetsVO-item-response", "AP_Invoice_Distribution":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FDistributionVO-item-response", "AP_Invoice_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FLineVO-item-response", "EXM_Expense_Report":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReportVO-item-response", "EXM_Expense_Report_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReport__5FLineVO-item-response", "INV_Misc_Transactions":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFINV__5FMisc__5FTransactionsVO-item-response", "OM_Sales_Order":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFOM__5FSales__5FOrderVO-item-response", "PJC_All":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FAllVO-item-response", "PJC_Expenditure_Batch":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FExpenditure__5FBatchVO-item-response", "POR_Requisition":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FRequisitionVO-item-response", "POR_User_Preferences":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FUser__5FPreferencesVO-item-response", "PO_Purchase_Order":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrderVO-item-response", "PO_Purchase_Order_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FLineVO-item-response", "PO_Purchase_Order_Schedule":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FScheduleVO-item-response" } }
Nested Schema : inventoryMovementRequests-lines-DFF-item-response
Type: object
Show Source
Nested Schema : inventoryMovementRequests-lines-inventoryStripingDFF-item-response
Type: object
Show Source
Nested Schema : Discriminator: __FLEX_Context
Type: object
Discriminator: __FLEX_Context

Discriminator Values

Match One Schema
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FDistribution__5FSetsVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FDistributionVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FLineVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReportVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReport__5FLineVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFINV__5FMisc__5FTransactionsVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFOM__5FSales__5FOrderVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FAllVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FExpenditure__5FBatchVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FRequisitionVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FUser__5FPreferencesVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrderVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FLineVO-item-response
Type: object
Show Source
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FScheduleVO-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to get aall movement requests.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/inventoryMovementRequests"

Example Response Body

The following shows an example of the response body in JSON format.

{
	"OrganizationId" : 207,
	"OrganizationCode" : "M1",
	"OrganizationName" : "Tall Manufacturing",
	"HeaderId" : 5135743,
	"RequestNumber" : "5135743",
	"Description" : null,
	"RequiredDate" : "2012-04-27T01:01:46+00:00",
	"TransactionTypeId" : 64,
	"TransactionType" : "Movement Request Transfer",
	"MoveOrderType" : 1,
	"MovementRequestType" : "Requisition",
	"StatusCode" : 1,
	"Status" : "Incomplete",
	"SourceSubinventory" : "FGI",
	"DestinationSubinventory" : "Stores"
	"DestinationAccount" : null,
	"DestinationAccountId" : null, {
		...
	} ],
	...
}
Back to Top